dofile("GAMES/sudoku/juego.lua")



ejy=1

function dific()
elegida=1
while true do
controls.read()
draw.gradrect(0,0,480,272,sky,sky,sky2,sky2)

if elegida==1 then screen.print(sfont,160,50,"Muy Facil",rojo) else screen.print(sfont,160,50,"Muy Facil",azul) end
if elegida==2 then screen.print(sfont,160,100,"Facil",rojo) else screen.print(sfont,160,100,"Facil",azul) end
if elegida==3 then screen.print(sfont,160,150,"Dificil",rojo) else screen.print(sfont,160,150,"Dificil",azul) end
if elegida==4 then screen.print(sfont,160,200,"Muy Dificil",rojo) else screen.print(sfont,160,200,"Muy Dificil",azul) end

if controls.press("down") then elegida=elegida+1 elseif controls.press("up") then elegida=elegida-1 end
if controls.press("cross") then dificultad=elegida main_sudoku() end
if elegida>4 then elegida=1 elseif elegida<1 then elegida=4 end

if controls.press("circle") then main_sudoku() end
screen.flip()
end
end

function main_sudoku()
elegida=1
liberar(9)
while true do
controls.read()
draw.gradrect(0,0,480,272,sky,sky,sky2,sky2)

model1:position(0,1.8,-3)
model2:position(0,0.5,-2.5)
model3:position(0,-0.5,-2.5)
model4:position(0,-1.5,-2.5)

ejy=ejy+0.06

model1:rotation(ejy,0,0)
if elegida==1 then model2:rotation(1.6,ejy,0) else model2:rotation(1.6,0,0) end
if elegida==2 then model3:rotation(1.6,ejy,0) else model3:rotation(1.6,0,0) end
if elegida==3 then model4:rotation(1.6,ejy,0) else model4:rotation(1.6,0,0) end
if elegida>3 then elegida=1 elseif elegida<1 then elegida=3 end

if controls.press("down") then elegida=elegida+1 elseif controls.press("up") then elegida=elegida-1 end

model1:blit()
model2:blit()
model3:blit()
model4:blit()

if controls.press("cross") then
if elegida==1 then sudok() end
if elegida==2 then dific() end
if elegida==3 then sistema() end
end

screen.flip()
end
end